PersisterClassResolver (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister.spi
Interface PersisterClassResolver

All Superinterfaces:
  Serializable, Service

All Known Implementing Classes:
  StandardPersisterClassResolver

    public interface PersisterClassResolver

extends Service

Given an entity or collection mapping, resolve the appropriate persister class to use.

The persister class is chosen according to the following rules:

1. the persister class defined explicitly via annotation or XML
2. the persister class returned by the installed `PersisterClassResolver`
3. the default provider as chosen by Hibernate Core (best choice most of the time)

Method Summary
`Class<? extends CollectionPersister>` | `getCollectionPersisterClass(Collection metadata)` Returns the collection persister class for a given collection role or null if the collection persister class should be the default.
`Class<? extends CollectionPersister>` | `getCollectionPersisterClass(PluralAttributeBinding metadata)` Returns the collection persister class for a given collection role or null if the collection persister class should be the default.
`Class<? extends EntityPersister>` | `getEntityPersisterClass(EntityBinding metadata)` Returns the entity persister class for a given entityName or null if the entity persister class should be the default.
`Class<? extends EntityPersister>` | `getEntityPersisterClass(PersistentClass metadata)` Returns the entity persister class for a given entityName or null if the entity persister class should be the default.

Method Detail

### getEntityPersisterClass

    Class<? extends EntityPersister> getEntityPersisterClass(PersistentClass metadata)

  Returns the entity persister class for a given entityName or null if the entity persister class should be the default.

  Parameters:
    `metadata` - The entity metadata
  Returns:
    The entity persister class to use

### getEntityPersisterClass

    Class<? extends EntityPersister> getEntityPersisterClass(EntityBinding metadata)

  Returns the entity persister class for a given entityName or null if the entity persister class should be the default.

  Parameters:
    `metadata` - The entity metadata
  Returns:
    The entity persister class to use

### getCollectionPersisterClass

    Class<? extends CollectionPersister> getCollectionPersisterClass(Collection metadata)

  Returns the collection persister class for a given collection role or null if the collection persister class should be the default.

  Parameters:
    `metadata` - The collection metadata
  Returns:
    The collection persister class to use

### getCollectionPersisterClass

    Class<? extends CollectionPersister> getCollectionPersisterClass(PluralAttributeBinding metadata)

  Returns the collection persister class for a given collection role or null if the collection persister class should be the default.

  Parameters:
    `metadata` - The collection metadata
  Returns:
    The collection persister class to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.